| Version: 3.1.5

Classes | Enumerations
propdlg.h File Reference

## Classes
class | wxPropertySheetDialog
| This class represents a property sheet dialog: a tabbed dialog for showing settings. More...

## Enumerations
enum | wxPropertySheetDialogFlags { wxPROPSHEET_DEFAULT = 0x0001 , wxPROPSHEET_NOTEBOOK = 0x0002 , wxPROPSHEET_TOOLBOOK = 0x0004 , wxPROPSHEET_CHOICEBOOK = 0x0008 , wxPROPSHEET_LISTBOOK = 0x0010 , wxPROPSHEET_BUTTONTOOLBOOK = 0x0020 , wxPROPSHEET_TREEBOOK = 0x0040 , wxPROPSHEET_SHRINKTOFIT = 0x0100 }
| Values used by wxPropertySheetDialog::SetSheetStyle. More...

## Enumeration Type Documentation

## ◆ wxPropertySheetDialogFlags

enum wxPropertySheetDialogFlags

Values used by wxPropertySheetDialog::SetSheetStyle.

Enumerator
wxPROPSHEET_DEFAULT | Uses the default look and feel for the controller window, normally a notebook except on Smartphone where a choice control is used.
wxPROPSHEET_NOTEBOOK | Uses a notebook for the controller window.
wxPROPSHEET_TOOLBOOK | Uses a toolbook for the controller window.
wxPROPSHEET_CHOICEBOOK | Uses a choicebook for the controller window.
wxPROPSHEET_LISTBOOK | Uses a listbook for the controller window.
wxPROPSHEET_BUTTONTOOLBOOK | Uses a button toolbox for the controller window.
wxPROPSHEET_TREEBOOK | Uses a treebook for the controller window.
wxPROPSHEET_SHRINKTOFIT | Shrinks the dialog window to fit the currently selected page (common behaviour for property sheets on macOS).